<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
import { getSortConfig } from '@/utils/form-item-config'
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/flower/param/list',
        dialogNeedRequest: true,
        extraButtons: [
          {
            text: '参数列表',
            atClick: (row) => {
              this.$router.push(`${this.$route.path}/${row.id}`)
            },
          },
        ],
        columns: [
          { label: '参数模板名称', prop: 'name' },
          { label: '关联分类', prop: 'categories' },
          { label: '创建时间', prop: 'createTime' },
        ],
        searchForm: [
          {
            type: 'row',
            items: [
              { label: '参数模板名称', id: 'name', type: 'input' },
              {
                label: '商品分类',
                id: 'categoryId',
                type: 'bus-cascader',
                el: {
                  otherInterfaceUri: 'flower/api/flower/category/tree',
                  props: {
                    label: 'name',
                    value: 'id',
                    emitPath: false,
                  },
                  style: 'width:100%',
                },
              },
            ],
          },
        ],
        form: [
          {
            label: '参数模板名称：',
            id: 'name',
            type: 'input',
            rules: {
              required: true,
              message: '请输入参数模板名称',
              trigger: 'blur',
            },
          },
          {
            label: '商品分类：',
            id: 'categoryIds',
            type: 'bus-cascader',
            el: {
              otherInterfaceUri: 'flower/api/flower/category/tree',
              props: {
                label: 'name',
                value: 'id',
                multiple: true,
                emitPath: false,
              },
              style: 'width:100%',
            },
            str: true,
            strKey: 'categories',
          },
          {
            ...getSortConfig(),
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '参数模板',
    }
  },
}
</script>
